Prepare and Install the Synchronizer with OAuth Authentication (Only for 3.2.314 and newer)